{% extends "customers/base.html" %}
{% load staticfiles %}

{% block title %}Lista de equipos{% endblock %}

{% block pagelevelcss %}
  <link href="{% static 'assets/plugins/datatables.net-bs4/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet" />
  <link href="{% static 'assets/plugins/datatables.net-responsive-bs4/css/responsive.bootstrap4.min.css' %}" rel="stylesheet" />
  <link href="{% static 'assets/plugins/select2/dist/css/select2.min.css' %}" rel="stylesheet" />
{% endblock %}

	

{% block page %}
<!-- begin breadcrumb -->
<ol class="breadcrumb float-xl-right">
  <li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
  <li class="breadcrumb-item active">Equipos Internos</li>
</ol>
  <!-- end breadcrumb -->
  <!-- begin page-header -->
  <h1 class="page-header">Equipos internos <small>lista</small></h1>
  <!-- end page-header -->
  <!-- begin row -->
  <div class="row">
    <!-- begin col-6 -->
    <div class="col-xl-12">
      <!-- begin panel -->
      <div class="panel panel-inverse" data-sortable-id="table-basic-1">
        <!-- begin panel-heading -->
        <div class="panel-heading">
          <h4 class="panel-title">Lista de Equipos Internos</h4>
          <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
          </div>
        </div>
        <!-- end panel-heading -->
        <!-- begin panel-body -->
        <div class="panel-body">
          <div class="row mb-3">
            <div class="col-sm-12 col-md-12"> 
            </div>
          </div>
          <div class="row mb-3">
            <form class="form-inline">
              <div class="row mb-3 m-l-10">
                <div class="form-group m-r-10">
                  <label for="id_vlan" class="control-label m-r-10">Vlan</label>
                  <select id="id_vlan" class="form-control">
                    <option value="">Todos</option>
                    {% for vlan in vlans %}
                      {% if vlan.count == 1 %}
                        <option value="{{ vlan.vlan }}">{{ vlan.vlan }} ({{ vlan.count }} equipo)</option>
                      {% else %}
                        <option value="{{ vlan.vlan }}">{{ vlan.vlan }} ({{ vlan.count }} equipos)</option>
                      {% endif %}
                    {% endfor %}
                  </select>
                </div>
                <div class="form-group m-r-10">
                  <label for="id_brand" class="control-label m-r-10">Marca</label>
                  <select id="id_brand" class="form-control">
                    <option value="">Todos</option>
                    {% for brand in brands %}
                      {% if brand.count == 1 %}
                        <option value="{{ brand.brand }}">{{ brand.brand }} ({{ brand.count }} equipo)</option>
                      {% else %}
                        <option value="{{ brand.brand }}">{{ brand.brand }} ({{ brand.count }} equipos)</option>
                      {% endif %}
                    {% endfor %}
                  </select>
                </div>
                <div class="form-group m-r-10">
                  <label for="id_kind" class="control-label m-r-10">Modelo</label>
                  <select id="id_kind" class="form-control">
                    <option value="">Todos</option>
                    {% for kind in kinds %}
                      {% if kind.count == 1 %}
                        <option value="{{ kind.kind }}">{{ kind.kind }} ({{ kind.count }} equipo)</option>
                      {% else %}
                        <option value="{{ kind.kind }}">{{ kind.kind }} ({{ kind.count }} equipos)</option>
                      {% endif %}
                    {% endfor %}
                  </select>
                </div>
              </div>
              <div class="row m-l-10">
                <div class="form-group m-r-10">
                  <label for="id_node" class="control-label m-r-10">Nodo</label>
                  <select id="id_node" class="form-control">
                    <option value="">Todos</option>
                    {% for node in nodes %}
                      {% if node.count == 1 %}
                        <option value="{{ node.node__pk }}">{{ node.node__code }} ({{ node.count }} equipo)</option>
                      {% else %}
                        <option value="{{ node.node__pk }}">{{ node.node__code }} ({{ node.count }} equipos)</option>
                      {% endif %}
                    {% endfor %}
                  </select>	    
                </div>
              </div>
            </form>
          </div>

          <table id="gear-list" class="table table-striped table-bordered table-td-valign-middle">
            <!--<table id="gear-list" cellspacing="0" width="100%" class="table table-hover dt-responsive nowrap">-->
            <thead>
              <tr>
                <th>ID</th>
                <th>IP</th>
                <th>Descripción</th>
                <th>Modelo</th>
                <th>MAC</th>
                <th>VLAN Management</th>
                <th>Nodo</th>
                <th>Último Respaldo</th>
              </tr>
            </thead>
            <tbody>
            </tbody>
          </table>
        </div>
        <!-- end panel-body -->
      </div>
      <!-- end panel -->
    </div>
    <!-- end col-6 -->
  </div>
  <!-- end row -->

  <!-- begin scroll to top btn -->
  <a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
  <!-- end scroll to top btn -->

{% endblock %}

{% block pageleveljs %}
<script type="text/javascript">
    //active menu
    document.getElementById("infra_menu").classList.add("active");
    //active submenu item
    document.getElementById("gears_item").classList.add("active");
</script>

  <script src="{% static 'assets/plugins/datatables.net/jquery.dataTables.min.js' %}"></script>
  <script src="{% static 'assets/plugins/datatables.net-bs4/js/dataTables.bootstrap4.min.js' %}"></script>
  <script src="{% static 'assets/plugins/datatables.net-responsive/js/dataTables.responsive.min.js' %}"></script>
  <script src="{% static 'assets/plugins/datatables.net-responsive-bs4/js/responsive.bootstrap4.min.js' %}"></script>
  <script src="{% static 'assets/plugins/select2/dist/js/select2.min.js' %}"></script>
  <script type="text/javascript" src="{% static 'theme/build/js/pages/gear-list.js' %}"></script>
  <script>
    $(document).ready(function() {
      $('#id_vlan').select2();
      $('#id_brand').select2();
      $('#id_kind').select2();
      $('#id_node').select2();
    });
  </script>
{% endblock %}

